package com.cyrilmottier.android.tutorial4;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

/*
 * La classe EntryPoint implmente l'interface View.OnClickListener. Cela permet ainsi
 * d'enregistrer l'activit auprs des vues pour qu'elle puiise recevoir les vnements de "clic".
 */
public class EntryPoint extends Activity implements View.OnClickListener {
    
	/*
	 * Cette variable permettra de conserver une rfrence sur le bouton
	 * de l'interface
	 */
	private Button mButton;
	
	/*
	 * La redfinition de la mthode onCreate(Bundle) permet d'effectuer des actions
	 * supplmentaires  l'Activity de base.
	 */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        /*
         * On cr l'interface graphique en utilisant le fichier entry.xml.
         * Ce dernier tant disponible comme ressource (dans /res/layout), il suffit d'utiliser
         * le fichier R.java et sa sous-classe layout.
         */
        setContentView(R.layout.entry);
        /*
         * Rcupre une rfrence sur le bouton en utilisant son identifiant
         */
        mButton = (Button)findViewById(R.id.button);
        /*
         * On enregistre l'activit auprs du bouton pour recevoir les vnements
         * "clic" provoqu par l'utilisateur.
         */
        mButton.setOnClickListener(this);
    }

    /*
     * La mthode onClick(View) provient de l'interface View.OnClickListener.
     */
	@Override
	public void onClick(View v) {
		if (v == mButton) {
			/*
			 * Nous sommes maintenant sr que la vue ayant t clique est le bouton
			 * de notre interface. Il suffit donc de crer un nouvel Intent pour dmarrer
			 * la seconde activit.
			 */
			Intent intent = new Intent(EntryPoint.this, GoogleSearch.class);
			startActivity(intent);
		}
	}
}